var $atendimento;
var $cadastro;
var $captura;
var $idCap;

var $id_leed;
var $tb_origem = $('#tb_origem').val();
var $UUID      = $('#UUID').val();

var $id_empreendimento = 13;


var hash = window.location.hash;
/*if(hash)
{
    $('#myTab a[href="' + hash + '"]').tab('show');
}*/
$(window).on('load', function(e){
    if(hash)
    {
        e.stopPropagation();
        
        animateHash();
    }
    $('.today').trigger('click');
});

$('body').on('click','.load_tab', function(e){
    
    
    e.stopPropagation();
    
    hash = '#'+$(this).attr('href').split('#')[1];
    
    animateHash();
    
});

function animateHash(){
    $('#myTab a[href="' + hash + '"]').tab('show');
        
    $('html, body').animate(
    {
        scrollTop: $(hash).offset().top - 150
    },1000);
}


$('a.nav-link').on('click', function (e) {
    location.hash = $(this).attr('href');
})


$('body').on('click','.enviarProposta', function(){
    $data = {
      id: $(this).data('id')
    };
   
    get_ajax($data,'atendimento/ajax/atendimento_ajax/email_propostas',
        success =>{
            $('#successModal').modal('hide');
                if(success.valid == true)
                    alert(success.msg);
    });
});


//=====NOVO ATENDIMENTO=========

$('body').on('click','.load_click', function(){
    loadButton($(this));
    $('body > div.app-body > main > div > div.animated.fadeIn').html('');
    $('.divTabelasLoad').show();
});

$('body').on('click','.set_leed', function(){
    $id_captura = $(this).data('id');
    $rowSelecinada = $(this).parents('tr');
});

$('body').on('click','.addAtendimentoComdono', function(){
    
    $data = {
        id_rel:      $(this).data('id'),
        tb_origem:   $tb_origem
    };
    
    get_ajax($data, 'atendimento/ajax/atendimento_ajax/ini_atendimento', 
        success =>{
            document.location.href = base_url+'atendimento/comdono/atendimento_geral/'+$UUID+'/'+success.id_atendimento;
    });
    
});

$('#formAtendimentoRapido').submit(function(e) {
    e.preventDefault();
    
    loadButton($('.btnAddAtendimento'));
     
    
    $data = get_form(this);
    $data.push({"name": 'id_leed', "value": $id_captura});
    $data.push({"name": 'origem',  "value": $tb_origem});
    $data.push({"name": 'UUID',    "value": $UUID});
    
    get_ajax($data, 'atendimento/ajax/atendimento_ajax/atendimentoRapido', 
        success =>{
            if(success.valid != false){
                location.reload();
                
            }
            else
                $('.erroFormAtenderAnuncio').html(retorno.msg);
    });
        
});

var novo_contato = 'sim';
var dias = 1;

$('body').on('change','input[name=novo_contato]', function(){
    novo_contato = $("input[name='novo_contato']:checked").val();
    
    verificaInputsAtendimento()
});

$('body').on('change','input[name=dias]', function(){
    dias = $("input[name='dias']:checked").val();
    
    verificaInputsAtendimento()
});

function verificaInputsAtendimento()
{
    if(dias == 'personalizado')
    {
        $('.divQuando').show();
    }else
    {
         $('.divQuando').hide();
    }
    
    if(novo_contato == 'sim')
    {
        $('.divProximoContato').show();
    }else
    {
         $('.divProximoContato').hide();
    }
}

var agendar_visita = 'sim';

$('body').on('change','input[name=agendar_visita]', function(){
    agendar_visita = $("input[name='agendar_visita']:checked").val();
    
    if(agendar_visita == 'sim')
    {
        $('.divAgendarVisita').show();
    }else
    {
        $('.divAgendarVisita').hide();
    }
});

//=fim==NOVO ATENDIMENTO=========

$('.formHistoricoAtendimento').submit(function(event){	
    event.preventDefault();
    
    loadButton($('.salvar_atendimento'));
    
    $data = get_form(this);
    
    $.ajax({
    		url: base_url+"atendimento/ajax/atendimento_ajax/add_atendimento",
    		dataType: 'json',
    		type: 'POST',
    		data: data,
    		success: function(retorno)
    		{	
    		    if(retorno.valid == true)
    		    {
    		        history.go(-1);
    		    }
    		    else
    		    {
    		        loadButton(null,false);
    			    alert(retorno.msg);
    			    console.log(retorno);
    		    }
    		    
    		},
    		error: function(error)
    		{
    		    loadButton(null,false);
    		    alert('erro');
    			console.log(error);
    		}
    	});
    
});


$('body').on('click','.voltar_pagina', function(){
    history.go(-1);
});

$('body').on('click','.addAtendimento', function(){
    
    console.log($(this).data('atendimento'));
    
    $.ajax({
		url: base_url+"XXXadministrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'XXXadministrativo/atendimento/atendimentos/'+retorno.id_atendimento+'/add';
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
    
    
});






/*$('body').on('click','.btnNegarAtendimento', function(){
    
    $data = {
        id: $idCap,
        motivo: $('#motivo').val(),
        
    }
    
    get_ajax($data,'XXXadministrativo/ajax/atendimento_ajax/finaliza_atendimento', 
        r =>{
            alert(r.msg);
            location.reload();
        }, 
        erro =>{
            alert(erro.msg);
        })
    
    
});*/
/*
$('body').on('click','.set_leed', function(){
    
    $idCap = $(this).data('id');
    
});


$('body').on('click','.trData', function(){
    
    $atendimento = $(this).data('atendimento').atendimento;
    $cadastro    = $(this).data('atendimento').cadastro;
    $captura     = $(this).data('atendimento').captura;
    
    $trCad = '';
    for($key in $cadastro )
    { 
        if(!($cadastro[$key] == '' || $cadastro[$key] == 0))
            $trCad += '<tr><td>'+$key+'</td><td>'+$cadastro[$key]+'</td><td>';
    }
    
    $trCap = '';
    for($i in $captura )
    {
        $trCap += '<table class="table table-responsive"><tbody class="tbodyCaptura">'
        $trCap += '<tr><th><tr><th>'+$captura[$i]['origem_captura']+'</th><th>'+$captura[$i]['datetime_captura']+'</th><th>';
        
        for($key in $captura[$i] )
        { 
            $cap = $captura[$i];
            if(!($cap[$key] == '' || $cap[$key] == 0))
                $trCap += '<tr><th>'+$key+'</th><td>'+$cap[$key]+'</td><td>';
        }
        
        $trCap +='</tbody></table>'
    }
    $trAtend = '';
    for($i in $atendimento )
    {
        $atend = $atendimento[$i];
        $trAtend += '<tr><th>'+$atend['id_user']+'</th><td>'+$atend['data_hora']+'</td><td>';
    }
    //datetime_captura
    $('.tbodyCaptura').html($trCap);
    $('.tbodyCadastro').html($trCad);
    $('.tbodyAtendimento').html($trAtend);
});


$('body').on('click','.addAtendimentoElleven', function(){
    
    console.log($(this).data('atendimento'));
    
    $.ajax({
		url: base_url+"XXXadministrativo/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'XXXadministrativo/atendimento/atendimentos_elleven/'+retorno.id_atendimento;
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});

$('body').on('click','.addAtendimentoGeral', function(){
    
    
    
    console.log($(this).data('atendimento'));
    var interesse = $(this).data('interesse');
    
    if(interesse == "" ||  interesse == undefined){
        interesse = 'outros';
    }
    
    $.ajax({
		url: base_url+"atendimento/ajax/atendimento_ajax/ini_atendimento",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('atendimento'),
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'atendimento/interessado/'+interesse+'/'+retorno.id_atendimento;
		    }
		    else
		    {
		        
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});
*/






function msgSuccess($div, $success){
    setAlert($div, $success.msg, 'success');
}
function msgErro($div, $erro){
    if($erro.msg != undefined)
        setAlert($div, $erro.msg, 'danger');
    else{
        //$msg = "<b>"+$($($erro.responseText)[7]).find('h1').text()+"</b>, "+$($($erro.responseText)[7]).find('p').text()
            console.log($erro.responseText);
                msg = $($($erro.responseText)[7]).find('h1').text();
            if(msg == '')
                msg = $($erro.responseText)[8].find('h1').text();
             if(msg == '')
                msg =   $($erro.responseText).find('h4').text()+'\n'+$($($erro.responseText).find('p')[1]).text();
            if(msg == '')
                msg =   "ERRO!";
                    
        setAlert($div, msg, 'danger');
    }
}
function setAlert($div, $msg, $cor){
    $html = '<div class="alert alert-'+$cor+' alert-dismissible fade show" role="alert">' +
         $msg +
    '    <button class="close" type="button" data-dismiss="alert" aria-label="Close">' +
    '        <span aria-hidden="true">×</span>' +
    '    </button>' +
    '</div>';
    $($div).html($html); 
}
// VARIAVES PARA O LOAD BUTTON
var textLoad = "<i class='fa fa-circle-o-notch fa-spin'></i>";
var textButton = '';
var btn = null;
function loadButton(button = null, disabled = true)
{
    if(button != null)
        btn = button;
        
    if(disabled == true)
    {
        textButton = btn.html();
        btn.prop('disabled', true);
        btn.html(textLoad);//+' '+textButton
    }
    else
    {
	    if(btn != null){
            	btn.prop('disabled', false);
	    	btn.html(textButton);
	    	btn = null;
	    }
    }
}
function get_form($form)
{
    data = [];
    var nameRadio = [];
    
    //$($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
    $($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=file]').each(function(key,value){
        if(this.name != ""){
            data.push({"name": this.name, "value": $(this).data('value')});
        }
    });
    
    $($form).find('textarea').each(function(key,value){
       
        if(this.name != "")
        {
            if(typeof CKEDITOR != undefined){
                 //data.push({"name": this.name, "value": CKEDITOR.instances[this.name].getData()});
                 ckeditorValue = $($($($('#cke_'+this.id)[0])[0]).find('iframe').contents().find("body")).html();
                 
                if(ckeditorValue == undefined || ckeditorValue == 'undefined')
                    data.push({"name": this.name, "value": this.value});
                else
                    data.push({"name": this.name, "value": ckeditorValue});
            }
            else
            {
                data.push({"name": this.name, "value": this.value});
            }
        }
    });
    
    $($form).find('input[type=radio]').each(function(key,value){
        if(nameRadio[this.name] == undefined)
            nameRadio[this.name] = '';
        if($(this).is(':checked'))
            nameRadio[this.name] = this.value;
    });
    
    for(var name in nameRadio){
        data.push({"name": name, "value": nameRadio[name]});
    };
    
    $($form).find('select option:selected').each(function(key,value)    {
        if(this.parentElement.localName == 'select')
            data.push({"name": this.parentElement.name, "value": this.value});
            
        if(this.parentElement.parentElement.localName == 'select')
            data.push({"name": this.parentElement.parentElement.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:checked').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:not(:checked)').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": ""});
    });
    
    //data.push({"name": 'UUID', "value": $UUID});
    
    return data;
}
/*
function get_ajax

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax($data = [], $uri, $success = null, $error = null ){
    
    if($error == null)
    {
        $error = function($erro){
            if($erro.msg != undefined)
                alert($erro.msg);
            else{
                console.log($erro.responseText);
                    msg = $($($erro.responseText)[7]).find('h1').text();
                if(msg == '')
                    msg = $($($erro.responseText)[8]).find('h1').text();
                if(msg == '')
                    msg =   $($erro.responseText).find('h4').text()+'\n'+$($($erro.responseText).find('p')[1]).text();
                if(msg == '')
                    msg =   "ERRO!";
                alert(msg);
            }
        };
    }
    
    if($success == null)
    {
        $success = function(e){
            //e);
        };
    }
    
    $.ajax({
		url: base_url+$uri, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{
		    loadButton(null,false);
		    if(retorno.valid == false)
		    {   
		        $error(retorno);
		    }
		    else
		    {
		        $success(retorno)
		    }
		},
		error: function(error)
		{
		    loadButton(null,false);
		    $error(error);
		}
    });
    
 }

//====================================================================================
//Callbeck erro ajax
$error = function error(r){console.log(r)};


/*
function get_ajax

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/

function BKget_ajax($func, $success, $error, $data = []){
    
    $.ajax({
		url: base_url+"xxxxxxx/ajax/atendimento_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
}


/* AGENDAMENTO MODAL */
if(typeof moment !== "undefined"){ 
$('#datetimepicker').datetimepicker({
    locale: 'pt-BR',
    inline: true,
    format: 'L',
    //defaultDate: moment().add(1,'days'),
    minDate: moment(),
    maxDate: moment().add(31,'days'),
    //daysOfWeekDisabled: [0, 6],
    /*disabledDates: [
        moment("07/06/2020"),
        new Date(2020, 07 - 1, 13),
        "07/17/2020"
    ]*/
});
$('#datetimepicker2').datetimepicker({
    locale: 'pt-BR',
    inline: true,
    format: 'L',
    //defaultDate: moment().add(1,'days'),
    minDate: moment(),
    maxDate: moment().add(31,'days'),
    //daysOfWeekDisabled: [0, 6],
    /*disabledDates: [
        moment("07/06/2020"),
        new Date(2020, 07 - 1, 13),
        "07/17/2020"
    ]*/
});
}


$('body').on('click', '.btn-agenda', function () {
    $dia = $('.datepicker-days .active').data('day');
    getHorariosDisponiveis();
    $('.openModalAgenda').modal('show');
});

$('.datepicker-days').on('click', '.day', function () {
    if($.inArray( "disabled", $(this)[0].classList) == -1)
    {
        setSpinner('.horariosDisponiveis');
        
        $dia = $(this).data('day');
        getHorariosDisponiveis();
    }
});
/*
$('.datepicker-days').on('click', '.day', function () {
    if($.inArray( "disabled", $(this)[0].classList) == -1)
    {
        setSpinner('.horariosDisponiveis');
        
        $dia = $(this).data('day');
        getHorariosDisponiveis();
    }
});*/

function getHorariosDisponiveis()
{
    $data = {
        id: $('input[name="id_destino"]').val(),
        dia: $dia,
        id_parceiro: $('input[name="id_parceiro"]').val(),
        id_captura: $('input[name="id_captura"]').val()
    }
    get_ajax('getHorariosDisponiveis', $data, 
    $success => {
        
        //console.log($success);
        
        $('.horariosDisponiveis').html('');
        $horarios = $success.horarios;
        
        for(i in $horarios)
        {
            $('.horariosDisponiveis').append($horarios[i]);
        }
        
    }, 
    $erro => {
        
    });
}


$('body').on('click', '.confirmaVisita', function () {
    
    loadButton($(this));
    $datetime = $(this).data('datetime');
    $hora = $(this).data('hora');
    
    
    $('.openModalAgenda').modal('hide');
    $('.horariosDisponiveis').html('');
    
    $('#disponibilidade_data').val($dia);
    $('#disponibilidade_hora').val($hora);
    
});

function setSpinner(div)
{
    /*$(div).html('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>');*/
    $(div).html('<i class="fa fa-circle-o-notch fa-pulse fa-2x fa-fw m-auto d-block"></i>');
    
}

function get_ajax($func, $data = [], $success, $false){
     
    $.ajax({
		url: base_url+"landingpage/ajax/captura_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        $success(retorno);
		    }
		    else
		    {
		        $false(retorno);
		    }
		},
		error: function(error)
		{
		    $false(error);
		}
    });
}

/* ATENDIMENTO INCORPORADORA BOTÕES*/
/*$(".salvar").click(function(){
    
    $(this).toggleClass('btn-success');
    $(this).toggleClass('btn-outline-success');   
        
    if($(".salvar").hasClass("btn-success")){
        $(this).html("Salvo com sucesso");
        $(".atendForm:input").prop("disabled",true);
    } else {
        $(this).html("Salvar este atendimento");
        $(".atendForm:input").prop("disabled",false);
    }
});*/

/*$(".salvarProx").click(function(){
    
    $(this).toggleClass('btn-success');
    $(this).toggleClass('btn-outline-success');   
        
    if($(".salvarProx").hasClass("btn-success")){
        $(this).html("Salvo com sucesso");
        $(".proxForm:input").prop("disabled",true);
    } else {
        $(this).html("Salvar próximo atendimento");
        $(".proxForm:input").prop("disabled",false);
    }
});*/
/*$(".enviarRecl").click(function(){
    
    $(this).toggleClass('btn-success');
    $(this).toggleClass('btn-outline-success');   
        
    if($(".enviarRecl").hasClass("btn-success")){
        $(this).html("Reclamação do lead enviada com sucesso!");
        $(".reclForm:input").prop("disabled",true);
    } else {
        $(this).html("Enviar reclamaçao do lead");
        $(".reclForm:input").prop("disabled",false);
    }
});*/
/*$(".salvarInter").click(function(){
    
    $(this).toggleClass('btn-success');
    $(this).toggleClass('btn-outline-success');   
        
    if($(".salvarInter").hasClass("btn-success")){
        $(this).html("Interesse salvo com sucesso!");
        $(".interForm:input").prop("disabled",true);
    } else {
        $(this).html("Salvar este interesse");
        $(".interForm:input").prop("disabled",false);
    }
});*/
$(".salvarVip").click(function(){
    
    $(this).toggleClass('btn-success');
    $(this).toggleClass('btn-outline-success');   
        
    if($(".salvarVip").hasClass("btn-success")){
        $(this).html("Cartão Vip criado com sucesso!");
        $(".vipForm:input").prop("disabled",true);
    } else {
        $(this).html("Salvar este Cartão Vip");
        $(".vipForm:input").prop("disabled",false);
    }
});
$(".salvarTrans").click(function(){
    
    $(this).toggleClass('btn-primary');
    $(this).toggleClass('btn-outline-primary');   
        
    if($(".salvarTrans").hasClass("btn-primary")){
        $(this).html("Transferencia concluida!");
        $(".transfForm:input").prop("disabled",true);
        alert("deu vert");
        
    } else {
        $(this).html("Transferir");
        $(".transfForm:input").prop("disabled",false);
        
    }
});



/*STEPS*/


$(document).ready(function(){

var current_fs, next_fs, previous_fs; //fieldsets
var opacity;

$(".next").click(function(){

current_fs = $(this).parent();
next_fs = $(this).parent().next();

//Add Class Active
$("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");

//show the next fieldset
next_fs.show();
//hide the current fieldset with style
current_fs.animate({opacity: 0}, {
step: function(now) {
// for making fielset appear animation
opacity = 1 - now;

current_fs.css({
'display': 'none',
'position': 'relative'
});
next_fs.css({'opacity': opacity});
},
duration: 600
});
});

$(".previous").click(function(){

current_fs = $(this).parent();
previous_fs = $(this).parent().prev();

//Remove class active
$("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");

//show the previous fieldset
previous_fs.show();

//hide the current fieldset with style
current_fs.animate({opacity: 0}, {
step: function(now) {
// for making fielset appear animation
opacity = 1 - now;

current_fs.css({
'display': 'none',
'position': 'relative'
});
previous_fs.css({'opacity': opacity});
},
duration: 600
});
});

$('.radio-group .radio').click(function(){
$(this).parent().find('.radio').removeClass('selected');
$(this).addClass('selected');
});

$(".submit").click(function(){
return false;
})

});